=== added file 'docs/boolean_data_type.rst'
--- docs/boolean_data_type.rst	1970-01-01 00:00:00 +0000
+++ docs/boolean_data_type.rst	2011-02-03 00:52:25 +0000
@@ -0,0 +1,16 @@
+BOOLEAN Data Type
+=================
+
+BOOLEAN
+-------
+
+The BOOLEAN type works as a TRUE and FALSE type. 
+
+A value of TRUE can be assigned to a BOOLEAN column by either assigning 1,
+TRUE, "TRUE", "T", or "YES".
+
+A value of FALSE can be assigned to a BOOLEAN column by either assigning 0,
+FALSE, "FALSE", "F", or "NO".
+
+Please note that using BOOL as a data type is different from using BOOLEAN as a type. BOOL creates an INTEGER column. This is
+done in order to keep compatiblity with MySQL.

=== modified file 'docs/data_types.rst'
--- docs/data_types.rst	2011-01-11 02:37:50 +0000
+++ docs/data_types.rst	2011-02-03 00:52:25 +0000
@@ -9,4 +9,5 @@
    numeric_data_types
    date_time_data_types
    string_data_types
-   uuid_data_type
\ No newline at end of file
+   boolean_data_type
+   uuid_data_type

=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2011-01-31 16:31:35 +0000
+++ drizzled/sql_yacc.yy	2011-02-03 00:52:25 +0000
@@ -1249,53 +1249,53 @@
               Lex->field()->set_type(message::Table::Field::DOUBLE);
             }
           }
-          | char '(' NUM ')'
-            {
-              Lex->length=$3.str;
-              $$=DRIZZLE_TYPE_VARCHAR;
-
-            if (Lex->field())
-            {
-              Lex->field()->set_type(message::Table::Field::VARCHAR);
-              message::Table::Field::StringFieldOptions *string_field_options;
-
-              string_field_options= Lex->field()->mutable_string_options();
-
-              string_field_options->set_length(atoi($3.str));
-            }
-            }
-          | char
-            {
-              Lex->length=(char*) "1";
-              $$=DRIZZLE_TYPE_VARCHAR;
-
-            if (Lex->field())
-              Lex->field()->set_type(message::Table::Field::VARCHAR);
-            }
-          | varchar '(' NUM ')'
-            {
-              Lex->length=$3.str;
-              $$= DRIZZLE_TYPE_VARCHAR;
-
-            if (Lex->field())
-	    {
-              Lex->field()->set_type(message::Table::Field::VARCHAR);
-
-              message::Table::Field::StringFieldOptions *string_field_options;
-
-              string_field_options= Lex->field()->mutable_string_options();
-
-              string_field_options->set_length(atoi($3.str));
-            }
-            }
-          | VARBINARY '(' NUM ')'
-            {
-              Lex->length=$3.str;
-              Lex->charset=&my_charset_bin;
-              $$= DRIZZLE_TYPE_VARCHAR;
-
-            if (Lex->field())
-	    {
+        | char '(' NUM ')'
+          {
+            Lex->length=$3.str;
+            $$=DRIZZLE_TYPE_VARCHAR;
+
+            if (Lex->field())
+            {
+              Lex->field()->set_type(message::Table::Field::VARCHAR);
+              message::Table::Field::StringFieldOptions *string_field_options;
+
+              string_field_options= Lex->field()->mutable_string_options();
+
+              string_field_options->set_length(atoi($3.str));
+            }
+          }
+        | char
+          {
+            Lex->length=(char*) "1";
+            $$=DRIZZLE_TYPE_VARCHAR;
+
+            if (Lex->field())
+              Lex->field()->set_type(message::Table::Field::VARCHAR);
+          }
+        | varchar '(' NUM ')'
+          {
+            Lex->length=$3.str;
+            $$= DRIZZLE_TYPE_VARCHAR;
+
+            if (Lex->field())
+            {
+              Lex->field()->set_type(message::Table::Field::VARCHAR);
+
+              message::Table::Field::StringFieldOptions *string_field_options;
+
+              string_field_options= Lex->field()->mutable_string_options();
+
+              string_field_options->set_length(atoi($3.str));
+            }
+          }
+        | VARBINARY '(' NUM ')'
+          {
+            Lex->length=$3.str;
+            Lex->charset=&my_charset_bin;
+            $$= DRIZZLE_TYPE_VARCHAR;
+
+            if (Lex->field())
+            {
               Lex->field()->set_type(message::Table::Field::VARCHAR);
               message::Table::Field::StringFieldOptions *string_field_options;
 
@@ -1305,92 +1305,94 @@
               string_field_options->set_collation_id(my_charset_bin.number);
               string_field_options->set_collation(my_charset_bin.name);
             }
-            }
-          | DATE_SYM
-            {
-              $$=DRIZZLE_TYPE_DATE;
-
-              if (Lex->field())
-                Lex->field()->set_type(message::Table::Field::DATE);
-            }
-          | TIME_SYM
-            {
-              $$=DRIZZLE_TYPE_TIME;
-
-              if (Lex->field())
-                Lex->field()->set_type(message::Table::Field::TIME);
-            }
-          | TIMESTAMP_SYM
-            {
-              $$=DRIZZLE_TYPE_TIMESTAMP;
-              Lex->length= 0;
-
-              if (Lex->field())
-                Lex->field()->set_type(message::Table::Field::EPOCH);
-            }
-          | TIMESTAMP_SYM '(' NUM ')'
-            {
-              $$=DRIZZLE_TYPE_MICROTIME;
-              Lex->length= $3.str;
-
-              if (Lex->field())
-                Lex->field()->set_type(message::Table::Field::EPOCH);
-            }
-          | DATETIME_SYM
-            {
-              $$=DRIZZLE_TYPE_DATETIME;
-
-              if (Lex->field())
-                Lex->field()->set_type(message::Table::Field::DATETIME);
-            }
-          | BLOB_SYM
-            {
-              Lex->charset=&my_charset_bin;
-              $$=DRIZZLE_TYPE_BLOB;
-              Lex->length=(char*) 0; /* use default length */
-
-              if (Lex->field())
-              {
-                Lex->field()->set_type(message::Table::Field::BLOB);
-                message::Table::Field::StringFieldOptions *string_field_options;
-
-                string_field_options= Lex->field()->mutable_string_options();
-                string_field_options->set_collation_id(my_charset_bin.number);
-                string_field_options->set_collation(my_charset_bin.name);
-              }
-            }
-          | TEXT_SYM
-            {
-              $$=DRIZZLE_TYPE_BLOB;
-              Lex->length=(char*) 0; /* use default length */
-
-            if (Lex->field())
+          }
+        | DATE_SYM
+          {
+            $$=DRIZZLE_TYPE_DATE;
+
+            if (Lex->field())
+              Lex->field()->set_type(message::Table::Field::DATE);
+          }
+        | TIME_SYM
+          {
+            $$=DRIZZLE_TYPE_TIME;
+
+            if (Lex->field())
+              Lex->field()->set_type(message::Table::Field::TIME);
+          }
+        | TIMESTAMP_SYM
+          {
+            $$=DRIZZLE_TYPE_TIMESTAMP;
+            Lex->length= 0;
+
+            if (Lex->field())
+              Lex->field()->set_type(message::Table::Field::EPOCH);
+          }
+        | TIMESTAMP_SYM '(' NUM ')'
+          {
+            $$=DRIZZLE_TYPE_MICROTIME;
+            Lex->length= $3.str;
+
+            if (Lex->field())
+              Lex->field()->set_type(message::Table::Field::EPOCH);
+          }
+        | DATETIME_SYM
+          {
+            $$=DRIZZLE_TYPE_DATETIME;
+
+            if (Lex->field())
+              Lex->field()->set_type(message::Table::Field::DATETIME);
+          }
+        | BLOB_SYM
+          {
+            Lex->charset=&my_charset_bin;
+            $$=DRIZZLE_TYPE_BLOB;
+            Lex->length=(char*) 0; /* use default length */
+
+            if (Lex->field())
+            {
               Lex->field()->set_type(message::Table::Field::BLOB);
+              message::Table::Field::StringFieldOptions *string_field_options;
+
+              string_field_options= Lex->field()->mutable_string_options();
+              string_field_options->set_collation_id(my_charset_bin.number);
+              string_field_options->set_collation(my_charset_bin.name);
             }
-          | DECIMAL_SYM float_options
-          {
-            $$=DRIZZLE_TYPE_DECIMAL;
-
-            if (Lex->field())
-              Lex->field()->set_type(message::Table::Field::DECIMAL);
-          }
-          | NUMERIC_SYM float_options
-          {
-            $$=DRIZZLE_TYPE_DECIMAL;
-
-            if (Lex->field())
-              Lex->field()->set_type(message::Table::Field::DECIMAL);
-          }
-          | FIXED_SYM float_options
-          {
-            $$=DRIZZLE_TYPE_DECIMAL;
-
-            if (Lex->field())
-              Lex->field()->set_type(message::Table::Field::DECIMAL);
-          }
-          | ENUM_SYM
-            {Lex->interval_list.empty();}
-            '(' string_list ')'
+          }
+        | TEXT_SYM
+          {
+            $$=DRIZZLE_TYPE_BLOB;
+            Lex->length=(char*) 0; /* use default length */
+
+          if (Lex->field())
+            Lex->field()->set_type(message::Table::Field::BLOB);
+          }
+        | DECIMAL_SYM float_options
+          {
+            $$=DRIZZLE_TYPE_DECIMAL;
+
+            if (Lex->field())
+              Lex->field()->set_type(message::Table::Field::DECIMAL);
+          }
+        | NUMERIC_SYM float_options
+          {
+            $$=DRIZZLE_TYPE_DECIMAL;
+
+            if (Lex->field())
+              Lex->field()->set_type(message::Table::Field::DECIMAL);
+          }
+        | FIXED_SYM float_options
+          {
+            $$=DRIZZLE_TYPE_DECIMAL;
+
+            if (Lex->field())
+              Lex->field()->set_type(message::Table::Field::DECIMAL);
+          }
+        | ENUM_SYM
+          {
+            Lex->interval_list.empty();
+          }
+          '(' string_list ')'
           {
             $$=DRIZZLE_TYPE_ENUM;
 
@@ -1436,8 +1438,18 @@
         ;
 
 int_type:
-          INT_SYM    { $$=DRIZZLE_TYPE_LONG; }
-        | BIGINT_SYM { $$=DRIZZLE_TYPE_LONGLONG; }
+          INT_SYM 
+          {
+            $$= DRIZZLE_TYPE_LONG;
+          }
+        | BOOL_SYM
+          {
+            $$= DRIZZLE_TYPE_LONG;
+          }
+        | BIGINT_SYM
+          {
+            $$= DRIZZLE_TYPE_LONGLONG;
+          }
         ;
 
 real_type:
@@ -1446,9 +1458,13 @@
             $$= DRIZZLE_TYPE_DOUBLE;
           }
         | DOUBLE_SYM
-          { $$=DRIZZLE_TYPE_DOUBLE; }
+          {
+            $$= DRIZZLE_TYPE_DOUBLE;
+          }
         | DOUBLE_SYM PRECISION
-          { $$=DRIZZLE_TYPE_DOUBLE; }
+          {
+            $$= DRIZZLE_TYPE_DOUBLE;
+          }
         ;
 
 float_options:

=== added file 'tests/suite/mysql_compatibility/r/bool.result'
--- tests/suite/mysql_compatibility/r/bool.result	1970-01-01 00:00:00 +0000
+++ tests/suite/mysql_compatibility/r/bool.result	2011-02-03 00:52:25 +0000
@@ -0,0 +1,18 @@
+CREATE TABLE t1 (A BOOL, B VARCHAR(5));
+SHOW CREATE TABLE t1;
+Table	Create Table
+t1	CREATE TABLE `t1` (
+  `A` INT DEFAULT NULL,
+  `B` VARCHAR(5) COLLATE utf8_general_ci DEFAULT NULL
+) ENGINE=InnoDB COLLATE = utf8_general_ci
+INSERT INTO t1 VALUES (0, FALSE);
+INSERT INTO t1 VALUES (1, TRUE);
+INSERT INTO t1 VALUES (TRUE, TRUE);
+INSERT INTO t1 VALUES (FALSE, FALSE);
+SELECT A,B FROM t1;
+A	B
+0	0
+0	0
+1	1
+1	1
+DROP TABLE t1;

=== added file 'tests/suite/mysql_compatibility/t/bool.test'
--- tests/suite/mysql_compatibility/t/bool.test	1970-01-01 00:00:00 +0000
+++ tests/suite/mysql_compatibility/t/bool.test	2011-02-03 00:52:25 +0000
@@ -0,0 +1,11 @@
+CREATE TABLE t1 (A BOOL, B VARCHAR(5));
+SHOW CREATE TABLE t1;
+
+INSERT INTO t1 VALUES (0, FALSE);
+INSERT INTO t1 VALUES (1, TRUE);
+INSERT INTO t1 VALUES (TRUE, TRUE);
+INSERT INTO t1 VALUES (FALSE, FALSE);
+--sorted_result
+SELECT A,B FROM t1;
+
+DROP TABLE t1;

